Bug 197694 - pykickstart should use defined constants for networking attributes ("dhcp", "static", "bootp")
pykickstart should use defined constants for networking attributes ("dhcp", "...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 11:52 EDT by James Laska
Modified: 2013-09-02 02:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-06 15:48:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
network_constants.patch (1.11 KB, patch)
2006-07-05 11:52 EDT, James Laska
no flags Details | Diff

  None (edit)
Description James Laska 2006-07-05 11:52:26 EDT
Follow on to IRC discussion.  

[Jul 05 11:45:39] <      jlaska> | ... should things like "dhcp" and "bootp" be
constants defined in constants.py
[Jul 05 11:45:44] <      jlaska> | or is that just me being anal?
[Jul 05 11:45:56] <     clumens> | hmmm
[Jul 05 11:46:11] <     clumens> | they probably should.
[Jul 05 11:46:42] <      jlaska> | I mean, it's not likely the string values
will change ... but ... well, your call
[Jul 05 11:47:45] <     clumens> | but at the same time, using strings for
constants like that is lame.
[Jul 05 11:51:21] <      jlaska> | want a bug for tracking?
[Jul 05 11:51:30] <     clumens> | sure

Suggested patch (UNTESTED) attached...
Comment 1 James Laska 2006-07-05 11:52:27 EDT
Created attachment 131938 [details]
network_constants.patch

Note You need to log in before you can comment on or make changes to this bug.